Get Workspace Audit Logs

Get audit logs for a workspace. <Warning title="Enterprise & workspace API token only">This endpoint requires an Enterprise workspace and a workspace token with the `workspace_activity:read` scope. Create a workspace token from your workspace dashboard integrations page to use this endpoint.</Warning> Required scope | `workspace_activity:read`

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

workspace_id_or_slugstringRequiredformat: "objectid"
Unique identifier or slug for a Workspace

Query parameters

limitintegerOptional

Maximum number of records to be returned (max limit: 100)

offsetintegerOptional
Offset used for pagination if the results have more than limit records
sortOrderenumOptional
Sorts the results by asc or desc
Allowed values:
eventTypeenumOptional
The event type to filter by
fromstringOptionalformat: "date-time"
The start date to filter by
tostringOptionalformat: "date-time"
The end date to filter by

Response

A list of workspace audit logs
itemslist of objects
paginationobject
Pagination object

Errors

401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
429
Too Many Requests Error
500
Internal Server Error